Author Topic: Logic 2.5 (early 1996)  (Read 7076 times)

supernova777

  • Guest

supernova777

  • Guest
Re: Logic 2.5 (early 1996)
« Reply #1 on: December 22, 2014, 01:26:52 PM »
Emagic Logic 2.5
MIDI Recording Environment
http://www.soundonsound.com/sos/1996_articles/feb96/logic2.5.html

Quote

pros
Now provides audio recording and playback from Power PC Macintoshes and 16-bit AV Macs without the need for additional hardware. The basic program also supports existing Pro Tools II, Session 8 and Audio Media II hardware.
Digidesign Pro Tools III hardware (with TDM) and Yamaha CBX hardware supported via software extensions.

Quote
Emagic's Logic Audio sequencing package seems to grow new features faster than my office coffee mug grows green fur. Yet version 2.5 of this 'audio with MIDI' software for the Mac offers more than just new features. It makes it possible to add audio to your sequencer without the need for costly Digidesign hardware -- though there are still benefits to using Digidesign hardware if you can afford it.

This apparent miracle, which is also now being performed by Emagic's main rivals, is achieved by using the Mac's own audio hardware, in conjunction with Apple's Sound Manager software. Any of the later AV models (AV840 or 660), that have 16-bit sound capability can be used, as can the new so-called Power Macs (6100 to 9500), and the 500 series Powerbooks. You do, however, have to be careful in choosing a computer, because there are some recent models (such as the Performa 6100, 5200/6200) that offer 16-bit sound playback, but only 8-bit recording. These won't be much use to you, as you'll only be able to play back digital audio, not record it.

The number of tracks you get depends on the power of the computer you use, and the available computing power also determines how much automation you can apply to the audio during playback. In AV mode, you can expect between four and 16 tracks of audio. When we booted up the system on a basic Power Mac 7100, seven tracks came up, though according to the documentation, the faster 7100/80 should give you up to 12 tracks, most of which can have variable panning. The amount of RAM you have may also affect the number of tracks you can use.

Offline geforceg4

  • Platinum Member (500+ Posts)
  • *****
  • Posts: 535
  • i did my time on mac os 9
Re: Logic 2.5 (early 1996)
« Reply #2 on: August 02, 2016, 01:30:23 PM »
are these articles discussing mac versions?

http://web.archive.org/web/20150606085730/http://www.soundonsound.com/sos/1996_articles/feb96/logic2.5.html
http://web.archive.org/web/20160102144505/http://www.soundonsound.com/sos/1995_articles/oct95/emagiclogic.html

i think they are??

Quote
Firstly, I have to mention the new manual, which although a little simplistic in parts, is infinitely better than anything the company has done before. This should ensure that new users get up and running without too many problems. Once you are off the starting blocks, the first thing you notice is that Logic Audio 2.5 now has a conventional Mac install procedure. You start the ball rolling by double-clicking on Install, and the Mac demands new disks as and when it needs them. After a few minutes, everything is installed, and you're ready to go. Users running Digidesign hardware need to be aware that Digidesign's DAE (Digital Audio Engine) must run at the same time as Logic Audio and your System software -- that means you need plenty of RAM. At a pinch, you could get away with 12Mb, but 16 or more is definitely preferable -- with a Power Mac 9500, you need at least 24Mb of memory to get all 16 tracks running.

Logic Audio 2.5 will run on either a regular 680xx Mac or on a Power Mac, but the Power Mac native version isn't yet available, which means that the program currently runs in 680xx emulation mode. Even so, it's pretty fast, but expect further speed improvements when the native version is ready.
Non-PowerMac users will need a 68040-based machine (with Nubus slots, if Digidesign hardware is being used), because 68030 machines are simply too slow for the job.[/color]

With Emagic Mac software, 'dongle' or key protection is used, which means you can make as many backups of the program disks as you need to feel secure. Logic Audio has its own dongle, which connects in series with the Logic dongle, but as these slot between the keyboard and Mac, they're unlikely to cause reliability problems or get in the way.

Before running the software, it's wise to ensure all unnecessary extensions are switched off -- the PD utility Extensions Manager is ideal for this. System 7.5 has something similar built in, but I'm still running 7.1, which takes up less memory. Audio programs won't work under virtual memory, which means running programs like RAMdoubler is out. 32-bit addressing needs to be turned on, and Appletalk should be switched off. You may need to check this from time to time, as my Mac seems to like turning Appletalk back on when I'm not watching!



Offline geforceg4

  • Platinum Member (500+ Posts)
  • *****
  • Posts: 535
  • i did my time on mac os 9
Re: Logic 2.5 (early 1996)
« Reply #3 on: August 02, 2016, 01:39:10 PM »
how many different versions of Logic are there for Mac from between 1991-1994
??

does anyone know what the last MIDI only version of logic was? (without audio recording)
logic "Audio" started with 2.x i think?

so does that make it logic 2.5 as the last "MIDI only" Logic?

i just found this page on the updates for logic 2.x
http://web.archive.org/web/20021024035514/http://www.emagic.de/english/support/download/old.html
it seems the last version that is "logic" and not "logic audio" is this:

logic version2.5.4 update

are there any users who have ever used this logic v2.5.4 on a powerpc cpu mac (ppc g4!)
im wondering if it might require a 68k cpu ?
the updates mention ppc or 68k so probably its supported on a g4 cpu aswell?
im not sure which version of logic minimum u need to have installed to use the 2.5.4 update -- im going to guess
that it would work on any version 2.0 install to bring it up to 2.5.4?

is that logic 2.5.4 version included in the logic anthology?
does anyone know offhand which version it has?
« Last Edit: August 02, 2016, 02:34:16 PM by geforceg4 »

Offline geforceg4

  • Platinum Member (500+ Posts)
  • *****
  • Posts: 535
  • i did my time on mac os 9
Re: Logic 2.5 (early 1996)
« Reply #4 on: August 02, 2016, 02:36:51 PM »
one more question does anyone know if logic 2.x has security / dongle copy protection?

if so does it only work with ADB dongle? (so requires being run on a mac with an ADB port! ie: g3 instead of g4!)

http://web.archive.org/web/19970429034743/http://www.emagic.de/english/products/products_mac.html
i checked this page and it seems that there was a logic v2.6! ?


« Last Edit: August 02, 2016, 03:22:16 PM by geforceg4 »

Offline coachla

  • Veteran Member (100+ Posts)
  • ****
  • Posts: 140
Re: Logic 2.5 (early 1996)
« Reply #5 on: August 02, 2016, 11:08:12 PM »
Geforceg4....I had 2.0 in 1994 and it was a paid upgrade to 2.5.4 on my 7100 (though Emagic provided it to me gratis). I can't recall if 2.0 had it's own dongle (authorization was not from floppy as was the case with SoundDiver).The ADB dongle was one for MIDI and one for audio in line with one another. I have been using those same dongles through an Imate USB to ADB adaptor to run 4.7 on my G4 MDD dual 1.24. My recollection is that 2.5.4 launches on the MDD, though I never actually used it on the MDD because 4.7 has been my choice for many years. The Imate is very stable with the Mac dongle authorizing 4.7 flawlessly.
« Last Edit: August 03, 2016, 06:24:38 AM by coachla »

Offline geforceg4

  • Platinum Member (500+ Posts)
  • *****
  • Posts: 535
  • i did my time on mac os 9
Re: Logic 2.5 (early 1996)
« Reply #6 on: August 03, 2016, 02:59:18 AM »
i think i remember reading from somewhere that version 2.5.x or whatever (midi only) might work without a dongle

maybe someone here whos an authority can confirm that!??


Offline coachla

  • Veteran Member (100+ Posts)
  • ****
  • Posts: 140
Re: Logic 2.5 (early 1996)
« Reply #7 on: August 03, 2016, 06:17:01 AM »
geforceg4....Logic 2.5 with or without audio will under no circumstances run without a dongle. What is it you are trying to do, and on what machine?

Offline geforceg4

  • Platinum Member (500+ Posts)
  • *****
  • Posts: 535
  • i did my time on mac os 9
Re: Logic 2.5 (early 1996)
« Reply #8 on: August 03, 2016, 07:01:28 AM »
yes ok.. but it will work with the Dongle emulator apparently!
the original dongle is ADB for sure.. must be

Offline MacTron

  • Global Moderator
  • Platinum Member (500+ Posts)
  • *****
  • Posts: 2087
  • keep it simple
Re: Logic 2.5 (early 1996)
« Reply #9 on: August 03, 2016, 01:09:34 PM »
There is a hack for the 3.x version (PPC and 68K, -IIRC- ) that allow Logic 3 to be used without dongles ( real or virtual ).
Please don't PM about things that are not private.

Offline coachla

  • Veteran Member (100+ Posts)
  • ****
  • Posts: 140
Re: Logic 2.5 (early 1996)
« Reply #10 on: August 03, 2016, 08:59:49 PM »
I found the dongle emu is not stable when using a USB kvm if the sequencer is clocking. Hardware dongle with Imate is definitely superior in all aspects.
« Last Edit: August 03, 2016, 09:13:52 PM by coachla »

Offline geforceg4

  • Platinum Member (500+ Posts)
  • *****
  • Posts: 535
  • i did my time on mac os 9
Re: Logic 2.5 (early 1996)
« Reply #11 on: August 04, 2016, 08:54:33 AM »
well i looked last night to find an ADB dongle anywhere online.. couldnt find one
i dont think theres any for sale

Offline macStuff

  • Platinum Member (500+ Posts)
  • *****
  • Posts: 1398
  • http://www.OldschoolDAW.com
    • OldschoolDAW.com
Re: Logic 2.5 (early 1996)
« Reply #12 on: February 11, 2019, 08:23:07 PM »
does anyone know which version of logic was first to include OMS support?
i carefully checked an article for steinbergs cubase yesterday that was from January 1995 and it stated that the next updates/versions would include OMS 2.0 support.
this article being from October 1995, it looks as though Logic might have also added OMS2.0 support at some point in the year 1995.

http://web.archive.org/web/20160102144505/http://www.soundonsound.com/sos/1995_articles/oct95/emagiclogic.html
Quote
Other notable features include the facility to make custom Bank Change messages, which can include tracts of SysEx data if you need it. With so much MIDI equipment around requiring different Bank Change commands, perhaps this is the only solution? SysEx fader creation has also been enhanced and now there's the option to create a screen fader for real-time tempo control. Morning Star's MacWavemaker is now supported directly from within Logic's Environment and there are more new features for users of Opcode's OMS system. For example, a complete MIDI Reset message is now only sent if the Stop button is pressed twice in quick succession; important for OMS users as the timing of MIDI Reset messages can cause them problems.

so based on the above quote its safe to say that v2.5 has oMS support.
just wondering if anyone has read anything in documentation from Emagic that stated for sure which update it was that added support for OMS 2.0..
2.5 was the current version as of October 1995 i think, so im guessing it was between 2.x + 2.5

http://web.archive.org/web/19970429033702/http://www.emagic.de/english/updates/index.html

perhaps Enabler can help me out with this one..? do u have all the logic updates for 2.x? maybe its in the readme's?

ill have to check the dates in the files of the oms 2.0 installers i have ( located here: http://www.oldschooldaw.com/opcode/_OMS/2.0/ )
the pdf is dated from 1994 in the copyrights
« Last Edit: February 11, 2019, 08:51:03 PM by macStuff »

Offline coachla

  • Veteran Member (100+ Posts)
  • ****
  • Posts: 140
Re: Logic 2.5 (early 1996)
« Reply #13 on: August 25, 2019, 03:28:51 AM »
Here are photos from the 2.0 ad 2.5 manuals. The jump was from 2.02 to 2.5 which then added OMS support.
does anyone know which version of logic was first to include OMS support?
i carefully checked an article for steinbergs cubase yesterday that was from January 1995 and it stated that the next updates/versions would include OMS 2.0 support.
this article being from October 1995, it looks as though Logic might have also added OMS2.0 support at some point in the year 1995.

http://web.archive.org/web/20160102144505/http://www.soundonsound.com/sos/1995_articles/oct95/emagiclogic.html
Quote
Other notable features include the facility to make custom Bank Change messages, which can include tracts of SysEx data if you need it. With so much MIDI equipment around requiring different Bank Change commands, perhaps this is the only solution? SysEx fader creation has also been enhanced and now there's the option to create a screen fader for real-time tempo control. Morning Star's MacWavemaker is now supported directly from within Logic's Environment and there are more new features for users of Opcode's OMS system. For example, a complete MIDI Reset message is now only sent if the Stop button is pressed twice in quick succession; important for OMS users as the timing of MIDI Reset messages can cause them problems.

so based on the above quote its safe to say that v2.5 has oMS support.
just wondering if anyone has read anything in documentation from Emagic that stated for sure which update it was that added support for OMS 2.0..
2.5 was the current version as of October 1995 i think, so im guessing it was between 2.x + 2.5

http://web.archive.org/web/19970429033702/http://www.emagic.de/english/updates/index.html

perhaps Enabler can help me out with this one..? do u have all the logic updates for 2.x? maybe its in the readme's?

ill have to check the dates in the files of the oms 2.0 installers i have ( located here: http://www.oldschooldaw.com/opcode/_OMS/2.0/ )
the pdf is dated from 1994 in the copyrights

Offline macStuff

  • Platinum Member (500+ Posts)
  • *****
  • Posts: 1398
  • http://www.OldschoolDAW.com
    • OldschoolDAW.com
Re: Logic 2.5 (early 1996)
« Reply #14 on: August 30, 2019, 12:00:24 AM »
thanks for adding that coach!  8)

Offline coachla

  • Veteran Member (100+ Posts)
  • ****
  • Posts: 140
Re: Logic 2.5 (early 1996)
« Reply #15 on: August 31, 2019, 04:23:40 AM »
You're very welcome, Macstuff

However, I stand corrected. That was the first 2.0 manual of a whole collection for Version 2.0 which did indeed initially have OMS. I found my floppy with OMS 1.2.3 also. Here are photos of all the many 2.0 manuals and one photo of it actually launched on my MDD showing the preferences connecting to my Studio 5. It's been a long time. I think I was recollecting when I had to run Cubase 2.0 with the Studio 5 in Compatibility  Mode with my Centris 650 serial ports. Hope this clarifies everything.

P.S. Not sure why photos don't upload correctly. Not online often... PM is the best.
« Last Edit: August 31, 2019, 06:57:41 AM by coachla »